
% testing spec node
-module(exspec10).

-spec fu(A :: [list()] | {tuple(), tuple()}, X | tuple()) -> X | list() | {tuple(), [], []} when X :: tuple();
(exspec10ex:card(), exspec10ex:card()) -> ok;
(integer(), any()) -> atom();
(_, _) -> atom().
fu(_, _) -> ok.
